Subject: commit_and_inc: VirtualAlloc failed
From: [email-masked] (Tom Uban)

21 Jan 1999 15:38:52 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: [email-masked]

When I link my many megabytes of many .o and libraries together, I get the
following error:

(C:\CYGNUS\B19\H-I386-CYGWIN32\BIN\LD.EXE 1000) commit_and_inc:
VirtualAlloc fai
led
\pin2000/xina/graphics/libgraph.a: could not read symbols: Memory exhausted

OPUS MAKE: Shell line exit status 1. Stop.

OPUS MAKE: Shell line exit status 3. Stop.

I am running on Windows95 with the following:

C:\>gcc -v
Reading specs from
C:\CYGNUS\B19\H-I386~1\lib\gcc-lib\i386-cygwin32\egcs-2.90.27
\specs
gcc version egcs-2.90.27 980315 (egcs-1.0.2 release)

Is there anything I can do to fix this problem? I am running what I believe
to be the latest cygwinb19.dll. Can I do some sort of multi-stage link to
limit the amount of memory needed by the linker?

--tnx
--tom

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".